<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE struts-config PUBLIC "-//Apache Software Foundation//DTD Struts Configuration 1.1//EN"
                               "http://jakarta.apache.org/struts/dtds/struts-config_1_1.dtd">
<struts-config>
<!--	FORMULARIOS-->
	<form-beans>
<!-- FORMULARIOS-->
	  <form-bean
	    name="w83aFormDocumentacion"
	    type="es.ejie.frmk.presentacion.operacion.datos.Q70OPValidatorForm">
	    <form-property name="boton" type="java.lang.String"/>
	    <form-property name="w83aDocumentacionBean" type="w83a.w83aBeans.W83aDocumentacionBean"/>
	    <form-property name="w83aDocumentoBean" type="w83a.w83aBeans.W83aDocumentoBean"/>
	    <form-property name="w83aprovincia" type="java.lang.String"/>
		<form-property name="w83amunicipio" type="java.lang.String" />
		<form-property name="w83aCentroTrabajoBean" type="w83a.w83aBeans.W83aCentroTrabajoBean" />
		<form-property name="codSelec" type="java.lang.String"/>
<!--		<form-property name="codSelecIrActa" type="java.lang.String"/>-->
	  </form-bean>
<!-- CONTEXTOS-->
	 <form-bean name="contextoOP" type="es.ejie.frmk.presentacion.operacion.datos.Q70ContextoOperacionDePresentacion">       
	   <form-property name="confirm" type="java.lang.String" />
	   <form-property name="strTitleKeyPpal" type="java.lang.String" initial="comun.herramientas.docElectoral"/>
	   <form-property name="strTitleKey" type="java.lang.String" initial=""/>
	   <form-property name="w83aDocumentacionBean" type="w83a.w83aBeans.W83aDocumentacionBean"/>
	   <form-property name="w83aDocumentoBean" type="w83a.w83aBeans.W83aDocumentoBean"/>
	   <form-property name="w83aprovincia" type="java.lang.String"/>
	   <form-property name="w83amunicipio" type="java.lang.String" />
	   <form-property name="w83aCentroTrabajoBean" type="w83a.w83aBeans.W83aCentroTrabajoBean" />
	   <form-property name="w83aListaCentroTrabajo" type="java.util.List"/>
	   <form-property name="w83aCentroTrabajoNuevoBean" type="w83a.w83aBeans.W83aCentroTrabajoBean"/>
	   <form-property name="w83amunicipioc" type="java.lang.String" />
	   <form-property name="w83aprovinciac" type="java.lang.String" />
	   <form-property name="subOpFlag" type="java.lang.String" initial="documentacion"/>
	   <form-property name="w83aSubOpFlag" type="java.lang.String" initial="busqueda"/><!--actas-->
	   <form-property name="camino" type="java.lang.String" initial="B"/>
	   <form-property name="w83aListaDocumentacion" type="java.util.HashMap"/>
	   <form-property name="action" type="java.lang.String" initial="B"/>
	   <form-property name="modoPantalla" type="java.lang.String" initial="B"/>
	   <form-property name="codSelec" type="java.lang.String"/>
	   <form-property name="boton" type="java.lang.String"/>
	   <form-property name="w83aNuevaActaBean" type="w83a.w83aBeans.W83aActasBean"/>
	   <form-property name="codSelecIrActa" type="java.lang.String"/>
	   <form-property name="w83aMapaFilePreavisos" type="java.util.HashMap" />
	   <form-property name="w83aListaBorradoFilePreavisos" type="java.util.List"/>
	   <form-property name="w83aMapaPreavisos" type="java.util.HashMap" />
	   <form-property name="tamanyoListaResults" type="java.lang.String"/>
	   <form-property name="tamanyoListaResultsAux" type="java.lang.String"/>
	   <form-property name="codSelecActa" type="java.lang.String"/>
	   <form-property name="codSelecEdicion" type="java.lang.String"/>
	   <form-property name="codSelecIrImpugnaciones" type="java.lang.String"/>
	   <form-property name="codSelecIrIncidencia" type="java.lang.String"/>
	   <form-property name="codSelecCentro" type="java.lang.String"/>
	   <form-property name="numActaTerritorioSeleccionada" type="java.lang.String"/>
	   <form-property name="numActaAnyoSeleccionada" type="java.lang.String"/>
	   <form-property name="numActaNumeroSeleccionada" type="java.lang.String"/>
	   <form-property name="numPreavisoTerritorioSeleccionada" type="java.lang.String"/>
	   <form-property name="numPreavisoAnyoSeleccionada" type="java.lang.String"/>
	   <form-property name="numPreavisoNumeroSeleccionada" type="java.lang.String"/>
	   <form-property name="tipoBusquedaSeleccionada" type="java.lang.String"/>
	   <form-property name="historico" type="java.lang.String"/>
	   <form-property name="fechaEleccion" type="java.lang.String"/>
	   <form-property name="w83aNuevaImpugnacionBean" type="w83a.w83aBeans.W83aImpugnacionBean"/>
	   <form-property name="w83aMapaImpugnaciones" type="java.util.HashMap" />
	   <form-property name="w83aNuevaIncidenciasBean" type="w83a.w83aBeans.W83aNuevaIncidenciasBean"/>
	   <form-property name="busqRealizada" type="java.lang.String" initial="false"/>
	   <form-property name="idDocumento" type="java.lang.String"/>
	   <form-property name="w83aDocBean" type="w83a.w83aBeans.W83aDocBean"/>
	   <form-property name="migas" type="java.lang.String" initial ="inicioportal.inicio.documentacionelectoral"/>
	  </form-bean> 
	 
	 </form-beans>
	 
<!--	ACTIONS-->
	
	<action-mappings type="es.ejie.frmk.presentacion.base.Q70PasosOPMapping">
		
			<!--	DISPATCHES-->
				<action	path ="/w83aPaginaInicioDocumentacion" forward="paginaInicioDocumentacion"/>
				<action	path="/w83aDispatch"
						name="w83aFormDocumentacion"
						scope="request"
						validate="false"
						parameter="boton"
						i18nKey="w83acomun"
						type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionLookupDispatchOP">
						<forward contextRelative="true"
							name="comun.herramientas.busqueda"
							path="/w83aInicioDocumentacion.do"/>
						<forward
							name="comun.boton.aceptar"
							path="/w83aBuscarDocumentacionOP.do"/>
						<forward
							name="irDetalleACTA"
							path="/w83aIrDetalleActa.do"/>
						<forward
							name="irDetallePREAVISO"
							path="/w83aIrDetallePreaviso.do"/>
						<forward
							name="irDetalleINCIDENCIA"
							path="/w83aIrDetalleIncidencia.do"/>
						<forward
							name="irDetalleIMPUGNACION"
							path="/w83aIrDetalleImpugnacion.do"/>
				</action>
				<action
					path="/w83aDispatchVueltaBusqueda"
					scope="request"
					parameter="w83aSubOpFlag"
					type="w83a.w83aUtilidades.W83aDispatchValueContexto">
					<forward
						name="busqueda"
						path="/w83aAntesBusquedaInicioEdicion.do"/>
				</action>
				<action path="/w83aAntesBusquedaInicioEdicion" 
					 scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aAntesEdicion" 
						 validate="false">
							<forward name="ok" path="/w83aPaginaInicioDocumentacion.do"/>
				</action>
			<action path="/w83aInicioDocumentacion" 
					name="w83aFormDocumentacion" scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aInicioBusquedaDocumentacionAction" 
						 validate="false">
				<forward name="ok" path="/w83aPaginaInicioDocumentacion.do"/>
		</action>		
				
		
			<action path="/w83aReturnNullOP" scope="request" type="w83a.w83aOperacionesPaso.w83aComun.W83aReturnNullAction" 
					 validate="false">
				</action>
			<!-- centro de trabajo -->
			<action path="/w83aCentroTrabajoOP" scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aCentroTrabajoOPAction" 
					 validate="false">
					<forward name="ok" path="/w83aBusqCentroTrabajo.do"/>
			</action>
			<action path ="/w83aBusqCentroTrabajo" 
					 parameter="w83aBusqCentroTrabajoOI" 
					 validate="false" 
					 input="/w83aInicioDocumentacion.do" 
					 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
					 scope="request">
							<forward name="ok" path="/w83aCentroTrabajoOutOP.do" />
							<forward name="error" path="/w83aInicioDocumentacion.do" />
				</action>
			
			<action path="/w83aCentroTrabajoOutOP" 
				 scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aCentroTrabajoOutOPAction" 
					 validate="false">
			</action>
			<!-- fin centro de trabajo -->
			<!-- documentos adjuntos -->
			<action path="/w83aObtenerDocumentoOP" scope="request" type="w83a.w83aOperacionesPaso.w83aComun.W83aDescargarDocumentoOPAction" 
			 validate="false">
				<forward name="ok" path="/w83aDescargarDocumentoOI.do"/>
				<forward name="error" path="/w83aGenericoOutOP.do"/>
			</action>
			<action path ="/w83aDescargarDocumentoOI" 
				 parameter="w83aDescargarDocumentoOI" 
				  type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
				 scope="request">
						<forward name="ok" path="/w83aDescargarDocumentoOutOP.do" />
						<forward name="error" path="/w83aGenericoOutOP.do" />
			</action>
			<action path="/w83aDescargarDocumentoOutOP" 
			 scope="request" type="w83a.w83aOperacionesPaso.w83aComun.W83aDescargarDocumentoOutOPAction" 
				 validate="false">
			</action>
			<!-- fin documentos adjuntos -->
			<!-- SUB-OPERACIONES -->
				<action path="/w83aIraCentrosTrabajoSubOp" name="w83aFormDocumentacion" parameter="/centroTrabajoOP/w83aSubOpCentroTrabajoInit.do" scope="request"
		  				type="org.apache.struts.actions.IncludeAction" >
						<set-property property="subOpRetPath" value="/documentacionOP/w83aDispatchCentroTrabajoAtras.do" />
				</action>
				
				<!-- SUB-OPERACIONES -->
				<action
						path="/w83aDispatchCentroTrabajoAtras"
						scope="request"
						parameter="subOpFlag"
						type="w83a.w83aUtilidades.W83aDispatchValueContexto">
						<forward
							name="centroTrabajo"
							path="/w83aReturnNullOP.do"/>
						<forward
							name="documentacion"
							path="/w83aReturnNullOP.do"/>
				</action>
				
				
				
			<!-- fin centro de trabajo -->
			<action path="/w83aBuscarDocumentacionOP" scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aTablaDocumentacionOPAction" 
			 validate="false">
					<forward name="find" path="/w83aBusqDocumentacion.do"/>
					<forward name="ok" path="/w83aBuscarDocumentacionOutOP.do"/>	
					<forward name="outOP" path="/w83aBuscarDocumentacionOutOP.do"/>
			</action>	
			<action path ="/w83aBusqDocumentacion" 
					 parameter="w83aBusqDocumentacionOI" 
					 validate="false" 
					 input="/w83aInicioDocumentacion.do" 
					 type="es.ejie.frmk.presentacion.operacion.paso.Q70ActionOIRouterDeclarativo" 
					 scope="request">
							<forward name="ok" path="/w83aBuscarDocumentacionOutOP.do" />
							<forward name="error" path="/w83aInicioDocumentacion.do" />
				</action>
			<action path="/w83aBuscarDocumentacionOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aTablaDocumentacionOutOPAction" 
			 validate="false">
			</action>
			
			
			<action path="/w83aBuscarDocumentaciondocumentosOP" scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aTablaDocumentaciondocumentosOPAction" 
			 validate="false">
					<forward name="find" path="/w83aBuscarDocumentaciondocumentosOutOP.do"/>
					<forward name="ok" path="/w83aBuscarDocumentaciondocumentosOutOP.do"/>	
			</action>
			<action path="/w83aBuscarDocumentaciondocumentosOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aTablaDocumentaciondocumentosOutOPAction" 
			 validate="false">
			</action>
			<action path="/w83aIrDetallePreaviso" 
				name="w83aFormDocumentacion" scope="request" type="w83a.w83aOperacionesPaso.w83aPreavisos.W83aIrEdicionPreavisoAction" 
			 		validate="false">
					<forward name="ok" path="/w83aObtenerDetallesPreaviso.do"/>
					<forward name="error" path="/w83aInicioDocumentacion.do"/>
			</action>
			<action path="/w83aObtenerDetallesPreaviso" parameter="/preavisosOP/w83aObtenerDetallesPreaviso.do" scope="request" type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/documentacionOP/w83aAntesVueltaPreaviso.do" />
			</action>
			<action path="/w83aAntesVueltaPreaviso" 
				scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aAntesVueltaPreavisos" 
					 validate="false">
					<forward name="ok" path="/w83aDispatchVueltaBusqueda.do"/>
				</action>
			<!-- ACTAS -->
			<action path="/w83aIrDetalleActa"  scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aIraActasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aIraActasSubOp.do"/>
		</action>
			<action path="/w83aIraActasSubOp" parameter="/actasOP/w83aSubOpActasInit.do" scope="request"
	  				type="org.apache.struts.actions.IncludeAction" >
					<set-property property="subOpRetPath" value="/documentacionOP/w83aAntesVueltaActas.do" />
			</action>
			
				<action path="/w83aAntesVueltaActas" 
				scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aAntesVueltaActas" 
					 validate="false">
					<forward name="ok" path="/w83aDispatchVueltaBusqueda.do"/>
				</action>
		<!-- FIN ACTAS -->
		<!-- IMPUGNACIONES -->
		<action path="/w83aIrDetalleImpugnacion" name="w83aFormDocumentacion"  scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aIraImpugnacionesOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aIraImpugnacionesSubOp.do"/>
		</action>
		<action path="/w83aIraImpugnacionesSubOp" parameter="/impugnacionesOP/w83aSubOpImpugnacionesInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/documentacionOP/w83aAntesVueltaImpugnaciones.do" />
		</action>
		<action path="/w83aAntesVueltaImpugnaciones" 
		scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aAntesVueltaImpugnaciones" 
			 validate="false">
			<forward name="ok" path="/w83aDispatchVueltaBusqueda.do"/>
		</action>
		<!-- FIN IMPUGNACIONES -->	
		<!-- INCIDENCIAS -->
		<action path="/w83aIrDetalleIncidencia" name="w83aFormDocumentacion"  scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aIraIncidenciasOPAction" 
			 validate="false">
			<forward name="ok" path="/w83aIraIncidenciasSubOp.do"/>
		</action>
		<action path="/w83aIraIncidenciasSubOp" parameter="/incidenciasOP/w83aSubOpIncidenciasInit.do" scope="request"
  				type="org.apache.struts.actions.IncludeAction" >
				<set-property property="subOpRetPath" value="/documentacionOP/w83aAntesVueltaIncidencias.do" />
		</action>
		<action path="/w83aAntesVueltaIncidencias" 
		scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aAntesVueltaIncidencias" 
			 validate="false">
			<forward name="ok" path="/w83aDispatchVueltaBusqueda.do"/>
		</action>
		
		<!-- FIN INCIDENCIAS -->
		<action path="/w83aGenericoOutOP" scope="request" type="w83a.w83aOperacionesPaso.w83aDocumentacion.W83aGenericoOutOPAction" 
			 validate="false">
		</action>
		<action path="/w83aSubOpDocumentacionInit" scope="request" forward="/w83aAntesVueltaImpugnaciones.do">
			<set-property property="subOp" value="init" />
		</action>
	</action-mappings>

	<controller processorClass="es.ejie.frmk.presentacion.operacion.Q70ProcesadorTilesOperacionDePresentacion" />
	

	<!-- Validaciones Genericas -->
	

	<!-- Menus -->	
</struts-config>
